<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/process.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.process</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../Synopsis.html" >Synopsis</a>.process

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="process.html#error" >error</a></span>(<span class="variable">msg</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.process.error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/process.py.html#line14" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Write an error message and exit.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="process.html#process" >process</a></span>(<span class="variable">argv</span> = <span class="value">sys.argv</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">commands</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.process.process" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/process.py.html#line20" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Accept a set of commands and process according to command line options.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="error">error</a>(<span class="variable">msg</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.process.error" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/process.py.html#line14" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Write an error message and exit.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">argv</span> = <span class="value">sys.argv</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">commands</span>)  </div> <div class="xref"><a href="../../XRef/xref26.html#Synopsis.process.process" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Synopsis/process.py.html#line20" ><img src="../../src-py.png" alt="source code"/></a></div> <div class="doc">Accept a set of commands and process according to command line options.
    The typical call will start with the name of the processor to be executed&#44;
    followed by a set of parameters&#44; followed by non-parameter arguments.
    All parameters are either of the form 'name=value'&#44; or '--name=value'.
    The first form expects 'value' to be valid python&#44; the second a string.
    The remaining non-parameter arguments are associated with the 'input'
    parameter.
    Once this initialization is done&#44; the named command's 'process' method
    is executed.
    </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:50 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
